/*
 	File:		PCIBridgePlugin.h
 
 	Contains:	This file contains all interface related structures and prototypes for pci expert to
 
 	Version:	Technology:	Copland
 				Release:	Universal Interfaces 3.0d3 on Copland DR1
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.  All rights reserved.
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
*/
#ifndef __PCIBRIDGEPLUGIN__
#define __PCIBRIDGEPLUGIN__

#ifndef __PCICOMMONPLUGIN__
#include <PCICommonPlugin.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif

#if PRAGMA_IMPORT_SUPPORTED
#pragma import on
#endif

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=mac68k
#endif

#if FOR_SYSTEM8_PREEMPTIVE
/* Prototypes for the bridge plugin*/
extern OSStatus PCIBridgePluginInitialize(void);

extern void DefaultBridgeEnabler(InterruptSetMember setIDMember, void *refCon);

extern InterruptSourceState DefaultBridgeDisabler(InterruptSetMember setIDMember, void *refCon);

extern InterruptMemberNumber DefaultBridgeDispatcher(InterruptSetMember setIDMember, void *info, UInt32 theIntCount);

extern OSStatus PCIBridgePluginFinalize(void);

#endif

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=reset
#endif

#if PRAGMA_IMPORT_SUPPORTED
#pragma import off
#endif

#ifdef __cplusplus
}
#endif

#endif /* __PCIBRIDGEPLUGIN__ */

